package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/2/5 8:59
 */
public enum ApproveWorkFlowOperationEnum implements ICodeEnum {
    /**
     * 完成(同意)
     */
    COMPLETE_AGREE("complete-agree", "完成(同意)"),
    /**
     * 完成(不同意)
     */
    COMPLETE_DISAGREE("complete-disagree", "完成(不同意)"),
    /**
     * 退回
     */
    BACK("back", "退回"),
    /**
     * 撤回
     */
    RECALL("recall", "撤回"),


    //TODO add wanghao
    /**
     * 挂起
     */
    SUSPEND("suspend", "挂起"),

    /**
     * 激活
     */
    ACTIVATE("activate", "激活"),

    /**
     * 终止
     */
    REDO("redo", "终止"),


    ;

    public final String value;
    public final String label;


    ApproveWorkFlowOperationEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static ApproveWorkFlowOperationEnum getValue(String code) {
        ApproveWorkFlowOperationEnum[] var1 = values();
        for (ApproveWorkFlowOperationEnum opEnum : var1) {
            if (opEnum.getValue().equals(code)) {
                return opEnum;
            }
        }

        return null;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
