package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 任务状态描述
 *
 * @author wangrs
 * @version 1.0
 * @date 2021/2/5
 */
public enum ApproveWorkFlowTaskStateEnum implements ICodeEnum {
    /**
     * 已办
     */
    FINISH("finish", "已办"),
    /**
     * 待办
     */
    UN_FINISH("unfinish", "待办"),
    /**
     * 结束
     */
    END("end", "结束");

    public final String value;

    public final String label;


    ApproveWorkFlowTaskStateEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public static ApproveWorkFlowTaskStateEnum getValue(String code) {
        ApproveWorkFlowTaskStateEnum[] var1 = values();
        for (ApproveWorkFlowTaskStateEnum opEnum : var1) {
            if (opEnum.getValue().equals(code)) {
                return opEnum;
            }
        }

        return null;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
