package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 名单等级
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/8
 */
public enum ListLevelEnum implements ICodeEnum {
    /**
     * 正常
     */
    NORMAL("normal", "正常", 0),

    /**
     * 低级
     */
    LOW("low", "低级", 1),

    /**
     * 中级
     */
    MIDDLE("middle", "中级", 2),

    /**
     * 高级
     */
    HIGH("high", "高级", 3),
    ;


    private String value;

    private String label;

    private Integer sort;

    ListLevelEnum(String value, String label, Integer sort) {
        this.value = value;
        this.label = label;
        this.sort = sort;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

    public static ListLevelEnum valueOfSort(int sort) {
        switch (sort) {
            case 0:
                return NORMAL;
            case 1:
                return LOW;
            case 2:
                return MIDDLE;
            case 3:
                return HIGH;
            default:
                throw new IllegalArgumentException(String.format("%s is not exits enum", sort));
        }
    }

    public Integer getSort() {
        return this.sort;
    }
}
