package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 请求的时间枚举
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/13
 */
public enum ReqBizDataEnum implements ICodeEnum {

    /**
     * 任务有效时间开始
     */
    BIZ_TERM_START("bizTermStart", "任务有效时间开始", true),

    /**
     * 任务有效时间结束
     */
    BIZ_TERM_END("bizTermEnd", "任务有效时间结束", true),
    /**
     * 业务类型
     */
    BIZ_TYPE("bizType", "业务类型", true),
    /**
     * 业务内容
     */
    BIZ_CONTENT("bizContent", "业务内容", true);

    private final String value;

    private final String label;

    private final boolean need;

    ReqBizDataEnum(String value, String label, boolean need) {
        this.value = value;
        this.label = label;
        this.need = need;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

    public boolean isNeed() {
        return need;
    }
    }
