package com.dragonsoft.dcuc.approve.enumresources;

import cn.hutool.core.lang.Assert;
import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 审批流程结束类型
 * </p>
 *
 * @author huangzqa
 * @date 2023/5/22
 */
public enum ZeroTrustApproveEndEnum implements ICodeEnum {
    /**
     * 结束
     */
    END("end", "结束"),

    /**
     * 撤销
     */
    CANCEL("cancel", "撤销"),

    /**
     * 挂起
     */
    HOLD("hold", "挂起"),

    /**
     * 终止
     */
    STOP("stop", "终止"),


    ;
    private final String value;

    private final String label;

    ZeroTrustApproveEndEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

    public static ZeroTrustApproveEndEnum parse(ApproveWorkFlowOperationEnum approveWorkFlowOperationEnum) {
        Assert.notNull(approveWorkFlowOperationEnum);
        switch (approveWorkFlowOperationEnum) {
            case COMPLETE_AGREE:
                return ZeroTrustApproveEndEnum.END;
            case COMPLETE_DISAGREE:
                return ZeroTrustApproveEndEnum.STOP;
            case BACK:
            case RECALL:
                return ZeroTrustApproveEndEnum.CANCEL;
            default:
                throw new IllegalArgumentException(approveWorkFlowOperationEnum.getValue());
        }
    }
}
