package com.dragonsoft.dcuc.approve.enumresources;

import cn.hutool.core.lang.Assert;
import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 审批结果标识
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
public enum ZeroTrustEndFlagEnum implements ICodeEnum {
    /**
     * 操作成功
     */
    COMPLETE_AGREE("1", "操作成功"),

    /**
     * 操作失败
     */
    COMPLETE_DISAGREE("2", "操作失败");


    private final String value;

    private final String label;


    ZeroTrustEndFlagEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

    public static ZeroTrustEndFlagEnum parseApproveWorkFlowOperationEnum(ApproveWorkFlowOperationEnum approveWorkFlowOperationEnum) {
        Assert.notNull(approveWorkFlowOperationEnum);
        ZeroTrustEndFlagEnum zeroTrustEndFlagEnum = ZeroTrustEndFlagEnum.COMPLETE_DISAGREE;
        if (approveWorkFlowOperationEnum.equals(ApproveWorkFlowOperationEnum.COMPLETE_AGREE)) {
            zeroTrustEndFlagEnum = ZeroTrustEndFlagEnum.COMPLETE_AGREE;
        }
        return zeroTrustEndFlagEnum;
    }

}
