package com.dragonsoft.dcuc.approve.facade;

import com.dragonsoft.dcuc.approve.model.resp.ApproveUserInfoRespVO;
import com.dragonsoft.duceap.base.annotations.parameter.QueryObject;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@Api(tags = "用户信息")
@FeignClient(name = "approve")
public interface IApproveUserFacade {
    /**
     * 用户列表
     *
     * @param searchable 查询条件
     * @return 分页
     */
    @ApiOperation(value = "用户列表", notes = "用户列表")
    @RequestMapping(value = "v1/users/search", method = RequestMethod.POST)
    Page<ApproveUserInfoRespVO> page(@QueryObject Searchable searchable);

    /**
     * 同步所有用户
     *
     * @return 状态
     */
    @ApiOperation(value = "同步所有用户", notes = "同步所有用户")
    @RequestMapping(value = "v1/users/sync", method = RequestMethod.GET)
    ResponseStatus syncAllUser();

    /**
     * 同步新用户
     *
     * @return 状态
     */
    @ApiOperation(value = "同步新用户", notes = "同步新用户")
    @RequestMapping(value = "v1/users/new-sync", method = RequestMethod.GET)
    ResponseStatus syncNewUser();

}
