package com.dragonsoft.dcuc.approve.facade;

import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/19
 */
@Api(tags = "运维")
@FeignClient(name = "approve")
public interface IOpsFacade {

    /**
     * 开始超期审批单任务
     *
     * @return 状态
     */
    @ApiOperation(value = "开始超期审批单任务", notes = "开始超期审批单任务")
    @RequestMapping(value = "v1/ops/scheduling-expiration-task", method = RequestMethod.GET)
    ResponseStatus schedulingExpirationTask();

    /**
     * 开始同步到BU任务
     *
     * @return 状态
     */
    @ApiOperation(value = "开始同步到BU任务", notes = "开始同步到BU任务")
    @RequestMapping(value = "v1/ops/sync-to-bu-task", method = RequestMethod.GET)
    ResponseStatus syncTuBu();
}
