package com.dragonsoft.dcuc.approve.facade.log;

import com.dragonsoft.dcuc.approve.model.resp.RiskSchemeVo;
import com.dragonsoft.duceap.base.annotations.parameter.QueryObject;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 15:07
 */
@Api(tags = "风险方案")
@FeignClient(name = "approve")
public interface IRiskSchemeFacade {


    @ApiOperation(value = "风险方案列表", notes = "风险方案列表")
    @RequestMapping(value = "v1/risk-scheme/search", method = RequestMethod.POST)
    @ApiImplicitParams({
            @ApiImplicitParam(name = "name", value = "操作者（模糊查询：like）", required = false),
            @ApiImplicitParam(name = "schemeStatus", value = "审批流程处理类型（全部：ALL；启用：ENABLE；停用：STOP；）", required = false)
    })
    Page<RiskSchemeVo> queryRiskSchemeList(@QueryObject Searchable searchable);


    @ApiOperation(value = "风险方案详情", notes = "风险方案详情")
    @RequestMapping(value = "v1/risk-scheme/{id}", method = RequestMethod.GET)
    ResponseDTO<RiskSchemeVo> riskSchemeDetail(@PathVariable(value = "id") String id);

    @ApiOperation(value = "风险方案修改", notes = "风险方案修改")
    @RequestMapping(value = "v1/risk-scheme", method = RequestMethod.PUT)
    ResponseStatus riskSchemeUpdate(@RequestBody RiskSchemeVo riskSchemeVo);

    @ApiOperation(value = "风险方案删除", notes = "风险方案删除")
    @RequestMapping(value = "v1/risk-scheme/{id}", method = RequestMethod.DELETE)
    ResponseStatus riskSchemeDelete(@PathVariable(value = "id") String id);
}