package com.dragonsoft.dcuc.approve.model.req;

import com.dragonsoft.dcuc.approve.enumresources.FlowTypeEnum;
import com.dragonsoft.duceap.duwf.api.model.ActivitiHolder;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author lidr
 * @date 2021/2/3
 */
@Data
@ApiModel(description = "申请修改信息")
public class ApprovalInfoUpdateReqVO {

    @NotBlank
    @ApiModelProperty(value = "表单ID")
    private String id;

    @ApiModelProperty(value = "流程标题")
    private String processTitle;

    @ApiModelProperty(value = "流程类型")
    private String processType;

    @ApiModelProperty(value = "流程标识码")
    private String businessCode;

    /**
     * @see FlowTypeEnum
     */
    @ApiModelProperty(value = "申请类型")
    private String flowType;

    /**
     * 应用代码
     */
    @ApiModelProperty(value = "应用代码")
    private String appCode;

    @ApiModelProperty(value = "申请内容")
    private String applyContent;

    @ApiModelProperty(value = "申请理由")
    @NotBlank
    private String applyReason;

    @ApiModelProperty(value = "申请人身份证号")
    private String applicantIdcard;

    @ApiModelProperty(value = "申请人id")
    private String applicantId;

    @NotBlank
    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    @NotBlank
    @ApiModelProperty(value = "申请人单位编码")
    private String applicantOrgCode;

    @NotBlank
    @ApiModelProperty(value = "申请人单位名称")
    private String applicantOrgName;

    @NotBlank
    @ApiModelProperty(value = "申请人联系方式")
    private String applicantPhoneNo;

    @ApiModelProperty(value = "流程实例ID")
    private String processInstanceId;

    /**
     * @see com.dragonsoft.dcuc.approve.enumresources.PermissionValidTypeEnum
     */
    @ApiModelProperty(value = "有效时间类别")
    private String permissionValidType;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "业务创建时间")
    private Date bizCreateTime;

    /**
     * @see com.dragonsoft.dcuc.approve.enumresources.CommitTypeEnum
     */
    @ApiModelProperty(value = "操作类型（1-保存|2-保存并提交）")
    @NotBlank
    private String operateType;

    @ApiModelProperty(value = "访问资源信息")
    @Valid
    @NotNull
    private ResourceInfoReqVO resourceInfoDTO;

    @ApiModelProperty(value = "下一任务对象信息")
    private List<ActivitiHolder> activitiHolderList;
}
