package com.dragonsoft.dcuc.approve.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wangzw
 * @date 2021/5/26
 * @desc
 */
@Data
@ApiModel(description = "审批流转记录")
public class ApproveCirculationReqVO {

    /**
     * 审批单编号
     */
    @NotBlank
    @ApiModelProperty(value = "审批单编号")
    private String approveNo;

    /**
     * 流程编号
     */
    @ApiModelProperty(value = "流程编号")
    private String processNo;

    /**
     * 节点名称
     */
    @NotBlank
    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    /**
     * 节点编号
     */
    @NotBlank
    @ApiModelProperty(value = "节点编号")
    private String nodeNo;


    /**
     * 操作类型,详见码表
     *
     * @see com.dragonsoft.dcuc.approve.enumresources.ApproveWorkFlowOperationEnum
     */
    @NotBlank
    @ApiModelProperty(value = "操作类型")
    private String operateType;

    /**
     * 操作时间
     */
    @NotBlank
    @ApiModelProperty(value = "操作时间")
    private String operateTime;

    /**
     * 操作人姓名
     */
    @NotBlank
    @ApiModelProperty(value = "操作人姓名")
    private String operateUserName;

    /**
     * 操作人身份证号码
     */
    @NotBlank
    @ApiModelProperty(value = "操作人身份证号码")
    private String operateUserId;

    /**
     * 操作人单位名称
     */
    @NotBlank
    @ApiModelProperty(value = "操作人单位名称")
    private String operateUserOrg;

    /**
     * 操作人单位编号
     */
    @NotBlank
    @ApiModelProperty(value = "操作人单位编号")
    private String operateUserOrgId;

    /**
     * 审批意见
     */
    @NotBlank
    @ApiModelProperty(value = "审批意见")
    private String approveOpinion;

    /**
     * 操作耗时
     */
    @ApiModelProperty(value = "操作耗时")
    private String operateTimeConsuming;

    /**
     * 电子签名
     */
    @ApiModelProperty(value = "电子签名")
    private String electronicSignature;

}
