package com.dragonsoft.dcuc.approve.model.req;

import com.dragonsoft.duceap.duwf.api.model.ActivitiHolder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/2/20 14:25
 */
@ApiModel(description = "审批操作请求信息")
@Data
public class ApproveOperateReqVO {
    /**
     * 操作类型
     *
     * @see com.dragonsoft.dcuc.approve.enumresources.ApproveWorkFlowOperationEnum
     */
    @NotBlank
    @ApiModelProperty(value = "操作类型")
    private String operateType;
    /**
     * 任务id
     */
    @NotBlank
    @ApiModelProperty(value = "任务id")
    private String taskId;

    /**
     * 审批信息
     */
    @NotBlank
    @ApiModelProperty(value = "审批信息")
    private String message;

    /**
     * 审批人身份证号
     */
    @ApiModelProperty(value = "审批人身份证号")
    private String idCard;

    /**
     * 当前处理人用户名
     */
    @ApiModelProperty(value = "当前处理人用户名")
    private String userName;
    /**
     * 当前处理人机构code
     */
    @ApiModelProperty(value = "当前处理人机构code")
    private String orgCode;
    /**
     * 当前处理人机构名称
     */
    @ApiModelProperty(value = "当前处理人机构名称")
    private String orgName;

    /**
     * 流程实例ID
     */
    @NotBlank
    @ApiModelProperty(value = "流程实例ID")
    private String processInstanceId;

    /**
     * 下一任务对象信息
     */
    @ApiModelProperty(value = "下一任务对象信息")
    private List<ActivitiHolder> activitiHolderList;

}
