package com.dragonsoft.dcuc.approve.model.req.bu;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/7
 */
@Setter
@Getter
@ToString
@ApiModel(value = "流程业务数据")
public class BuApproveSyncBizApproveReqVO {

    @NotBlank
    @ApiModelProperty(value = "任务名称")
    private String title;

    @NotBlank
    @ApiModelProperty(value = "任务类型编码")
    private String taskClass;

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "任务有效期开始时间")
    private Date taskTermStart;

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "任务有效期结束时间")
    private Date taskTermEnd;

    @NotBlank
    @ApiModelProperty(value = "任务状态(0废弃、1在用)")
    private String taskStatus;


}
