package com.dragonsoft.dcuc.approve.model.req.bu.v2;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.Map;

/**
 * 
 * @author julong
 *
 */
@Setter
@Getter
@ToString
@ApiModel(value = "BU审批同步接口")
public class BuApproveSyncReqVO {

    @NotBlank
    @ApiModelProperty(value = "来源系统编码")
    private String appId;
    
    
    @NotBlank
    @ApiModelProperty(value = "来源组织机构编码")
    private String sourceOrgCode;
    
    @NotBlank
    @ApiModelProperty(value = "任务编号")
    private String taskId;

    @NotNull
    @ApiModelProperty(value = "任务创建时间")
    private String createTime;
    
    
    @NotBlank
    @ApiModelProperty(value = "任务创建人身份证号")
    private String creatorIdCard;
    
    @NotBlank
    @ApiModelProperty(value = "任务创建人员姓名")
    private String creatorUserName;
    
    @NotBlank
    @ApiModelProperty(value = "任务创建人组织机构编码")
    private String creatorUnitCode;
    
    @NotBlank
    @ApiModelProperty(value = "任务创建人组织机构名称")
    private String creatorUnitName;
    
    @NotBlank
    @ApiModelProperty(value = "任务最终审批人身份证")
    private String lastReviewerIdCard;
    
    @NotBlank
    @ApiModelProperty(value = "任务最终审批人姓名")
    private String lastReviewerName;
    
    @NotBlank
    @ApiModelProperty(value = "任务最终审批人组织机构编码")
    private String lastReviewerUnitCode;
    
    @NotBlank
    @ApiModelProperty(value = "任务最终审批人组织机构名称")
    private String lastReviewerUnitName;

    @NotNull
    @ApiModelProperty(value = "任务审批结束时间")
    private String finishTime;


  

    @NotNull
    @Valid
    @ApiModelProperty(value = "流程业务数据")
    private Map<String,Object> bizData;

}
