package com.dragonsoft.dcuc.approve.model.resp;

import com.dragonsoft.dcuc.approve.enumresources.FlowTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author lidr
 * @date 2021/2/4
 */
@Data
@ApiModel(description = "申请表单返回信息")
public class ApprovalInfoRespVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "审批单号")
    private String approveNo;

    @ApiModelProperty(value = "业务id")
    private String businessId;

    @ApiModelProperty(value = "流程标识码")
    private String businessCode;

    @ApiModelProperty(value = "流程标题")
    private String processTitle;

    @ApiModelProperty(value = "流程类型")
    private String processType;

    @ApiModelProperty(value = "流程类型名称")
    private String processTypeName;

    @ApiModelProperty(value = "流程名称")
    private String processName;

    @ApiModelProperty(value = "申请内容")
    private String applyContent;

    @ApiModelProperty(value = "申请业务数据")
    private String otherApplyContext;

    @ApiModelProperty(value = "任务类型")
    private String approveTaskClass;

    @ApiModelProperty(value = "申请理由")
    private String applyReason;

    @ApiModelProperty(value = "申请人身份证号")
    private String applicantIdcard;

    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    @ApiModelProperty(value = "申请人单位编码")
    private String applicantOrgCode;

    @ApiModelProperty(value = "申请人单位名称")
    private String applicantOrgName;

    @ApiModelProperty(value = "申请人联系方式")
    private String applicantPhoneNo;

    @ApiModelProperty(value = "流程实例ID")
    private String processInstanceId;

    @ApiModelProperty(value = "审批任务标识")
    private String approveTaskIdentifier;

    @ApiModelProperty(value = "有效时间类别")
    private String permissionValidType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "访问资源信息")
    private ResourceInfoRespVO resourceInfoVo;

    @ApiModelProperty(value = "节点名称")
    private String taskName;

    @ApiModelProperty(value = "任务id")
    private String taskId;

    @ApiModelProperty(value = "未操作者")
    private String unOperateUsers;

    @ApiModelProperty(value = "应用code")
    private String appCode;

    /**
     * @see FlowTypeEnum
     */
    @ApiModelProperty(value = "申请类型")
    private String flowType;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 超期时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date expirationTime;


}
