package com.dragonsoft.dcuc.approve.model.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 审批操作返回内容
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/9
 */
@ApiModel(description = "审批操作返回内容")
@Data
public class OperateRespVO {

    /**
     * 是否红名单
     */
    @ApiModelProperty(value = "是否红名单")
    private Boolean hitRedList;

    /**
     * 红名单提示语
     */
    @ApiModelProperty(value = "红名单提示语")
    private String redListTip;

    /**
     * 需要
     *
     * @param redListTip 提示语
     * @return 是否需要红名单状态
     */
    public static OperateRespVO need(String redListTip) {
        OperateRespVO operateRespVO = new OperateRespVO();
        operateRespVO.setHitRedList(true);
        operateRespVO.setRedListTip(redListTip);
        return operateRespVO;
    }

    /**
     * 不需要
     *
     * @return 是否需要红名单状态
     */
    public static OperateRespVO notRequired() {
        OperateRespVO operateRespVO = new OperateRespVO();
        operateRespVO.setHitRedList(false);
        operateRespVO.setRedListTip("");
        return operateRespVO;
    }
}
