package com.dragonsoft.dcuc.approve.model.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *  风险方案表
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
public class RiskSchemeVo  implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;
    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "状态（详见SchemeStatusEnum枚举）")
    private String schemeStatus;

    @ApiModelProperty(value = "状态名称（详见SchemeStatusEnum枚举）")
    private String schemeStatusStr;

    @ApiModelProperty(value = "检测规则")
    private String detectionRule;


    @ApiModelProperty(value = "规则说明")
    private String ruleExplain;

    @ApiModelProperty(value = "处理建议")
    private String disposeAdvise;

    @ApiModelProperty(value = "单人连续审批数")
    private String continuousApproveNum;

    @ApiModelProperty(value = "方案类型（详见SchemeTypeEnum枚举）")
    private String schemeType;

    @ApiModelProperty(value = "方案类型名称")
    private String schemeTypeStr;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;


    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "修改人姓名")
    private String updateUserName;


    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


    @ApiModelProperty(value = "风险数量")
    private Integer riskNum;

    public Integer getRiskNum() {
        return riskNum;
    }

    public void setRiskNum(Integer riskNum) {
        this.riskNum = riskNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchemeStatus() {
        return schemeStatus;
    }

    public void setSchemeStatus(String schemeStatus) {
        this.schemeStatus = schemeStatus;
    }

    public String getDetectionRule() {
        return detectionRule;
    }

    public void setDetectionRule(String detectionRule) {
        this.detectionRule = detectionRule;
    }

    public String getRuleExplain() {
        return ruleExplain;
    }

    public void setRuleExplain(String ruleExplain) {
        this.ruleExplain = ruleExplain;
    }

    public String getDisposeAdvise() {
        return disposeAdvise;
    }

    public void setDisposeAdvise(String disposeAdvise) {
        this.disposeAdvise = disposeAdvise;
    }

    public String getContinuousApproveNum() {
        return continuousApproveNum;
    }

    public void setContinuousApproveNum(String continuousApproveNum) {
        this.continuousApproveNum = continuousApproveNum;
    }

    public String getSchemeType() {
        return schemeType;
    }

    public void setSchemeType(String schemeType) {
        this.schemeType = schemeType;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getSchemeTypeStr() {
        return schemeTypeStr;
    }

    public void setSchemeTypeStr(String schemeTypeStr) {
        this.schemeTypeStr = schemeTypeStr;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSchemeStatusStr() {
        return schemeStatusStr;
    }

    public void setSchemeStatusStr(String schemeStatusStr) {
        this.schemeStatusStr = schemeStatusStr;
    }
}
