package com.dragonsoft.dcuc.approve.model.resp.bim;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 应用令牌校验服务接口
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
@ApiModel(value = "应用令牌信息服务")
@Data
public class ZeroTrustAppTokenInfoRespVO {

    /**
     * 应用令牌ID
     */
    @ApiModelProperty(value = "应用令牌ID")
    private String appTokenId;

    /**
     * 应用令牌创建时间
     */
    @ApiModelProperty(value = "应用令牌创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 应用令牌到期时间
     */
    @ApiModelProperty(value = "应用令牌到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date expireAt;

    /**
     * 应用标识
     */
    @ApiModelProperty(value = "应用标识")
    private String appId;


    /**
     * 用户令牌详细信息
     */
    @ApiModelProperty(value = "用户令牌详细信息")
    private ZeroTrustAppItemUserTokenInfoRespVO userToken;

    /**
     * 应用令牌签名
     */
    @ApiModelProperty(value = "应用令牌签名")
    private String sign;

}
