package com.dragonsoft.dcuc.approve.model.resp.v3;

import com.dragonsoft.dcuc.approve.enumresources.ZeroTrustBusinessRespEnum;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 返回数据
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
@JsonPropertyOrder({"statusCode", "message", "result"})
@EqualsAndHashCode(callSuper = true)
@Data
public class ZeroTrustResultRespVO<T> extends ZeroTrustMessageRespVO {

    /***
     * 返回内容
     */
    private T result;

    public static <T> ZeroTrustResultRespVO<T> success(T result) {
        ZeroTrustResultRespVO<T> objectZeroTrustResultRespVO = new ZeroTrustResultRespVO<>();
        objectZeroTrustResultRespVO.setBusinessRespEnum(ZeroTrustBusinessRespEnum.SUCCESS);
        objectZeroTrustResultRespVO.setResult(result);
        return objectZeroTrustResultRespVO;
    }

    /**
     * 设置枚举消息
     *
     * @param businessRespEnum 枚举类型
     * @param <T>              泛型
     * @return 消息
     */
    public static <T> ZeroTrustResultRespVO<T> resultEnumMessage(ZeroTrustBusinessRespEnum businessRespEnum) {
        ZeroTrustResultRespVO<T> objectZeroTrustResultRespVO = new ZeroTrustResultRespVO<>();
        objectZeroTrustResultRespVO.setBusinessRespEnum(businessRespEnum);
        return objectZeroTrustResultRespVO;
    }

    /**
     * 设置枚举消息和内容
     *
     * @param businessRespEnum 枚举类型
     * @param result           内容
     * @param <T>              泛型
     * @return 消息
     */
    public static <T> ZeroTrustResultRespVO<T> resultEnumMessage(ZeroTrustBusinessRespEnum businessRespEnum, T result) {
        ZeroTrustResultRespVO<T> objectZeroTrustResultRespVO = new ZeroTrustResultRespVO<>();
        objectZeroTrustResultRespVO.setBusinessRespEnum(businessRespEnum);
        objectZeroTrustResultRespVO.setResult(result);
        return objectZeroTrustResultRespVO;
    }
}
