package com.dragonsoft.dcuc.approve;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author wangrs
 * @date 2021/01/22
 */
@EnableScheduling
@SpringBootApplication(scanBasePackages = {"com.dragonsoft.*", "com.dragoninfo.*"})
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.dragonsoft.*", "com.dragoninfo.*"})
@MapperScan("com.dragonsoft.dcuc.**.mapper")
@ConfigurationPropertiesScan("com.dragonsoft.dcuc.approve.properties")
public class ApproveApplication {

    public static void main(String[] args) {
        SpringApplication.run(ApproveApplication.class, args);
    }

}
