package com.dragonsoft.dcuc.approve.business;

import com.dragoninfo.dcuc.common.entity.SecurityApp;
import com.dragonsoft.dcuc.approve.model.resp.bim.ZeroTrustAppTokenInfoRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.base.entity.security.SecurityUser;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/11/15
 */
public interface ISecurityUserBusiness {

    /**
     * 获取应用信息
     *
     * @param appCode 应用代码
     * @return 应用信息
     */
    SecurityApp getSecurityApp(String appCode);

    /**
     * 获取当前登陆人信息
     *
     * @param idcard  身份证号
     * @param appCode 应用代码
     * @return 当前用户
     */
    ResponseDTO<SecurityUser> getSecurityUser(String idcard, String appCode);

    /**
     * 设置用户额外信息
     *
     * @param securityUser 当前登陆人
     * @param request      请求
     */
    void setUserExtInfo(SecurityUser securityUser, HttpServletRequest request);

    /**
     * 设置用户额外信息
     *
     * @param securityUser 当前登陆人
     * @param appTokenInfo 应用令牌信息
     */
    void setUserExtInfo(SecurityUser securityUser, ZeroTrustAppTokenInfoRespVO appTokenInfo);

}
