package com.dragonsoft.dcuc.approve.business.external;

import com.dragonsoft.dcuc.approve.model.req.v3.ZeroTrustApproveCallbackReqV3VO;
import com.dragonsoft.dcuc.approve.model.req.bu.BuApproveSyncReqVO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/3/8
 */
public interface INoticeBusiness {
    /**
     * 审批结果通知
     *
     * @param callbackUrl                     回调地址
     * @param zeroTrustApproveCallbackReqV3VO 消息内容
     * @return 状态
     */
    ResponseStatus retryApproveNotification(String callbackUrl, ZeroTrustApproveCallbackReqV3VO zeroTrustApproveCallbackReqV3VO);

    /**
     * 审批结果通知
     *
     * @param callbackUrl                     回调地址
     * @param zeroTrustApproveCallbackReqV3VO 内容
     * @return 状态
     */
    ResponseStatus baseApproveNotification(String callbackUrl, ZeroTrustApproveCallbackReqV3VO zeroTrustApproveCallbackReqV3VO);

    /**
     * 请求同步到 BU
     *
     * @param buApproveSyncReqVO 同步请求
     * @return 状态
     */
     ResponseStatus retryRequestSyncToBu(BuApproveSyncReqVO buApproveSyncReqVO);
     
     
     ResponseStatus retryRequestSyncToBuV2(com.dragonsoft.dcuc.approve.model.req.bu.v2.BuApproveSyncReqVO buApproveSyncReqVO);
     
}
