package com.dragonsoft.dcuc.approve.business.external.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import com.dragonsoft.dcuc.approve.business.approver.IGetApproverBusiness;
import com.dragonsoft.dcuc.approve.business.external.IWorkFlowCallbackBusiness;
import com.dragonsoft.dcuc.approve.enumresources.ApproveGetApproverEnum;
import com.dragonsoft.dcuc.approve.properties.ApproveWorkFlowCallbackProperties;
import com.dragonsoft.duceap.commons.util.json.JsonUtils;
import com.dragonsoft.duceap.core.spring.SpringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author huangziquan
 * @date 2024/3/1
 */
@Slf4j
@Component
public class DcucWorkFlowCallbackBusinessImpl implements IWorkFlowCallbackBusiness {

    private ApproveWorkFlowCallbackProperties approveWorkFlowCallbackProperties;

    @Autowired
    public void setApproveWorkFlowCallbackProperties(ApproveWorkFlowCallbackProperties approveWorkFlowCallbackProperties) {
        this.approveWorkFlowCallbackProperties = approveWorkFlowCallbackProperties;
    }

    @SuppressWarnings("unchecked")
    @Override
    public List<String> getCurrentOrgAndNextOrgLabelHandlers(Map<String, Object> param) {
        String reqJsonString = JsonUtils.toJSONString(param);
        log.debug("工作流回调请求参数：{}", reqJsonString);

        Map<String, Object> contextMap = (Map<String, Object>) param.get("context");
        Map<String, Object> dataMap = (Map<String, Object>) param.get("data");
        // 需要提交才有
        String handleUser = MapUtil.getStr(dataMap, "handleUser");

        String labelCode = approveWorkFlowCallbackProperties.getLabelCode();
        List<ApproveGetApproverEnum> approveGetApproverEnumList = approveWorkFlowCallbackProperties.getApproveGetApproverEnumList();
        List<String> approverList = Collections.emptyList();

        for (ApproveGetApproverEnum approveGetApproverEnum : approveGetApproverEnumList) {
            String value = approveGetApproverEnum.getValue();
            IGetApproverBusiness getApproverBusiness = SpringUtils.getBean(value + "GetApproverBusiness");
            approverList = getApproverBusiness.getApproverList(handleUser, labelCode);
            if (CollUtil.isNotEmpty(approverList)) {
                break;
            }
        }

        return approverList;
    }
}
