package com.dragonsoft.dcuc.approve.facade;

import com.dragonsoft.dcuc.approve.business.external.IUserOrgSyncBusiness;
import com.dragonsoft.dcuc.approve.model.resp.ApproveUserInfoRespVO;
import com.dragonsoft.dcuc.approve.service.IApproveUserInfoService;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/7/12
 */
@RestController
public class ApproveUserFacade implements IApproveUserFacade {

    private IApproveUserInfoService approveUserInfoService;

    private IUserOrgSyncBusiness userOrgSyncBusiness;

    @Autowired
    public void setUserOrgSyncBusiness(IUserOrgSyncBusiness userOrgSyncBusiness) {
        this.userOrgSyncBusiness = userOrgSyncBusiness;
    }

    @Autowired
    public void setApproveUserInfoService(IApproveUserInfoService approveUserInfoService) {
        this.approveUserInfoService = approveUserInfoService;
    }

    @Override
    public Page<ApproveUserInfoRespVO> page(Searchable searchable) {
        return approveUserInfoService.page(searchable);
    }

    @Override
    public ResponseStatus syncAllUser() {
        return userOrgSyncBusiness.syncAllUser();
    }

    @Override
    public ResponseStatus syncNewUser() {
        return userOrgSyncBusiness.syncNewUser();
    }
}
