package com.dragonsoft.dcuc.approve.filter.cache;

import com.dragonsoft.dcuc.approve.business.external.IDcucBusiness;
import com.dragonsoft.dcuc.approve.model.vo.dcuc.OauthUserVO;
import com.dragonsoft.duceap.base.entity.security.SecurityUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2021/9/6
 */
@Component
public class SecurityUserResolver implements ISecurityUserResolver {

    private IDcucBusiness dcucBusiness;


    @Autowired
    public void setDcucBusiness(IDcucBusiness dcucBusiness) {
        this.dcucBusiness = dcucBusiness;
    }

    @Override
    public Optional<SecurityUser> resolve(String idcard) {
        OauthUserVO oauthUserVO = dcucBusiness.getOauthUserInfoByIdcard(idcard);
        if (oauthUserVO == null) {
            return Optional.empty();
        }
        SecurityUser securityUser = new SecurityUser();
        securityUser.setId(oauthUserVO.getIdcard());
        securityUser.setCode(oauthUserVO.getPoliceNumber());
        securityUser.setUserName(oauthUserVO.getIdcard());
        securityUser.setIdcard(oauthUserVO.getIdcard());
        securityUser.setName(oauthUserVO.getName());
        securityUser.setPoliceNo(oauthUserVO.getPoliceNumber());
        securityUser.setSecurityOrg(oauthUserVO.getOrgCode());
        securityUser.setSecurityOrgName(oauthUserVO.getOrgName());
        return Optional.of(securityUser);
    }
}
