package com.dragonsoft.dcuc.approve.mapper;

import com.dragonsoft.dcuc.approve.model.ApproveActRunTask;
import com.dragonsoft.duceap.core.search.Searchable;
import com.dragonsoft.duceap.mybaitsplus.core.BaseMybatisMapper;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangrs
 * @date 2021/03/23
 * @desc 待办信息
 */
@Mapper
@Component
public interface ApproveActRunTaskMapper extends BaseMybatisMapper<ApproveActRunTask> {

    /**
     * 查询待办数量
     *
     * @param searchable 搜索条件
     * @return 数量
     */
    Integer totalCounts(Searchable searchable);

    /**
     * 待办列表
     *
     * @param searchable 搜索条件
     * @return 待办列表
     */
    List<ApproveActRunTask> todoListBySearchable(Searchable searchable);

}
