package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.*;
import com.dragonsoft.dcuc.approve.enumresources.ApproveWorkFlowOperationEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 待办表
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/6/8 19:43
 */
@Data
@TableName(value = "T_APPROVE_ACT_RUN_TASK")
public class ApproveActRunTask implements Serializable {
    private static final long serialVersionUID = 5454656546618885343L;

    @TableField(value = "ID")
    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 申请单ID
     */
    private String applyRecordId;

    /**
     * 流程标识码
     */
    private String businessCode;

    /**
     * 流程名称
     */
    private String businessName;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 任务代码
     */
    private String taskCode;

    /**
     * 任务名称
     */
    private String taskName;


    /**
     * @see ApproveWorkFlowOperationEnum
     * 操作类型
     */
    private String operateType;

    /**
     * 实例ID
     */
    private String processInstanceId;

    /**
     * 流程标题
     */
    private String processTitle;

    /**
     * 生成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date generateTime;

    /**
     * 删除标注
     */
    @TableLogic
    private String deleted;


}
