package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;

import java.util.Date;

/**
 * <p>
 * 任务类型
 * </p>
 *
 * @author huangzqa
 * @date 2023/6/9
 */
@TableName("t_approve_task_class")
@Data
public class ApproveTaskClass {
    /**
     * ID
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 任务类型代码
     */
    private String taskClassCode;
    /**
     * 任务类型名称
     */
    private String taskClassName;
    /**
     * 父任务类型ID
     */
    private String parentId;
    /**
     * 父任务类型代码
     */
    private String parentClassCode;
    /**
     * 父任务类型名称
     */
    private String parentClassName;

    /**
     * 来源应用代码
     */
    private String sourceAppCode;

    /**
     * 来源应用代码
     */
    private String sourceAppName;

    /**
     * 是否删除
     */
    @TableLogic
    private String deleted;
    /**
     * 创建人
     */
    @CreatedBy
    private String createUser;
    /**
     * 创建时间
     */
    @CreatedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP, fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改人
     */
    @LastModifiedBy
    private String updateUser;
    /**
     * 修改时间
     */
    @LastModifiedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;

}
