package com.dragonsoft.dcuc.approve.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dragoninfo.dcuc.duceap.enums.OperateDisposeTypeEnum;
import com.dragonsoft.dcuc.approve.enumresources.ApproveResultEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 * 操作日志表
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
@Data
@TableName(value = "t_approve_operate_log")
public class OperateLog implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;

    @TableField(value = "ID")
    @TableId(type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "申请单id")
    private String approveRecordId;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "单位名称")
    private String orgName;

    @ApiModelProperty(value = "单位编码")
    private String orgCode;

    @ApiModelProperty(value = "流程编号")
    private String businessCode;

    @ApiModelProperty(value = "流程实例编号")
    private String processInstanceId;

    @ApiModelProperty(value = "审批单号")
    private String approveNo;

    @ApiModelProperty(value = "流程标题")
    private String title;

    /**
     * @see OperateDisposeTypeEnum
     */
    @ApiModelProperty(value = "处理类型（详见OperateDisposeTypeEnum枚举）")
    private String disposeType;

    /**
     * @see ApproveResultEnum
     */
    @ApiModelProperty(value = "结果（详见ApproveResultEnum枚举）")
    private String result;

    @ApiModelProperty(value = "操作者ip")
    private String createIp;

    @ApiModelProperty(value = "失败原因")
    private String failMsg;

    @ApiModelProperty(value = "操作内容")
    private String operateContent;

    @ApiModelProperty(value = "操作人")
    private String createUser;

    @ApiModelProperty(value = "操作人姓名")
    private String createUserName;

    @ApiModelProperty(value = "操作时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "流程节点标识码")
    private String flowNodeCode;

    @ApiModelProperty(value = "流程节点名称")
    private String flowNodeName;
}
