package com.dragonsoft.dcuc.approve.model.dto;

import com.dragonsoft.dcuc.approve.model.resp.ResourceInfoRespVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author huangzqa
 * @date 2021/7/19
 */
@Data
@ApiModel(description = "申请表单返回信息")
public class ApprovalInfoMsgItemDTO {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "流程标识码")
    private String businessCode;

    @ApiModelProperty(value = "审批单标题")
    private String processTitle;

    @ApiModelProperty(value = "流程类型代码")
    private String processType;

    @ApiModelProperty(value = "流程类型名称")
    private String processTypeName;

    @ApiModelProperty(value = "流程名称")
    private String processName;

    @ApiModelProperty(value = "申请内容")
    private String applyContent;

    @ApiModelProperty(value = "申请理由")
    private String applyReason;

    @ApiModelProperty(value = "申请人身份证号")
    private String applicantIdcard;

    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    @ApiModelProperty(value = "申请人单位编码")
    private String applicantOrgCode;

    @ApiModelProperty(value = "申请人单位名称")
    private String applicantOrgName;

    @ApiModelProperty(value = "申请人联系方式")
    private String applicantPhoneNo;

    @ApiModelProperty(value = "审批任务标识")
    private String approveTaskIdentifier;

    @ApiModelProperty(value = "有效时间类别")
    private String permissionValidType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "访问资源信息")
    private ResourceInfoRespVO resourceInfo;

    @ApiModelProperty(value = "当前任务节点名称")
    private String taskName;

    @ApiModelProperty(value = "当前任务节点id")
    private String taskId;

    @ApiModelProperty(value = "应用code")
    private String appCode;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 任务类型
     */
    @ApiModelProperty(value = "任务类型")
    private String approveTaskClass;


}
