package com.dragonsoft.dcuc.approve.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 审批内容返回VO
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/30
 */
@Data
@ApiModel(description = "审批内容")
public class ContentRespDTO {

    /**
     * 访问者名称列表
     */
    @ApiModelProperty(value = "访问者名称列表")
    private List<String> visitorNames;


    /**
     * 访问者代码列表
     */
    @ApiModelProperty(value = "访问者代码列表")
    private List<String> visitorCodes;

    /**
     * 访问资源名称列表
     */
    @ApiModelProperty("访问资源名称列表")
    private List<String> visitResourceNames;

    /**
     * 访问资源代码列表
     */
    @ApiModelProperty("访问资源代码列表")
    private List<String> visitResourceCodes;

    /**
     * 撤销访问资源名称列表
     */
    @ApiModelProperty("撤销访问资源名称列表")
    private List<String> removeVisitResourceNames;

    /**
     * 撤销访问资源代码列表
     */
    @ApiModelProperty("撤销访问资源代码列表")
    private List<String> removeVisitResourceCodes;

    /**
     * 不同意访问资源编码
     */
    @ApiModelProperty(value = "不同意访问资源编码")
    private List<String> disagreeVisitResourceCodes;

    /**
     * 不同意访问资源名称
     */
    @ApiModelProperty(value = "不同意访问资源名称")
    private List<String> disagreeVisitResourceNames;

}
