package com.dragonsoft.dcuc.approve.model.dto;

import com.dragonsoft.dcuc.approve.enumresources.ApproveResultEnum;
import com.dragonsoft.dcuc.approve.model.dto.ApprovalInfoDTO;
import com.dragonsoft.dcuc.approve.model.resp.OperateRespVO;
import com.dragonsoft.duceap.duwf.api.model.ProcessInstanceVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/6/4 16:52
 */
@Data
public class LogDto implements Serializable {

    private static final long serialVersionUID = 5454155825318885342L;
    @ApiModelProperty(value = "表单信息")
    private ApprovalInfoDTO approvalInfoDTO;

    @ApiModelProperty(value = "节点Vo")
    private ProcessInstanceVO processInstanceVO;

    @ApiModelProperty(value = "操作者ip")
    private String createIp;

    @ApiModelProperty(value = "失败原因")
    private String failMsg;

    @ApiModelProperty(value = "操作内容")
    private String operateContent;

    @ApiModelProperty(value = "操作人")
    private String createUser;

    @ApiModelProperty(value = "操作人姓名")
    private String createUserName;

    @ApiModelProperty(value = "操作时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * @see ApproveResultEnum
     */
    @ApiModelProperty(value = "结果（详见ApproveResultEnum枚举）")
    private String result;

    /**
     * 红名单操作内容
     */
    private OperateRespVO redListOperateRespVO;

    /**
     * 是否需要发送红名单风险
     */
    private Boolean needSendRedListRisk;


}
