package com.dragonsoft.dcuc.approve.model.dto;

import com.dragonsoft.dcuc.approve.enumresources.ApproveWorkFlowOperationEnum;
import com.dragonsoft.dcuc.approve.model.vo.ApproveTaskRequestVo;
import com.dragonsoft.duceap.duwf.api.model.ActivitiHolder;
import com.dragonsoft.duceap.duwf.api.model.TaskRequest;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/3/2
 */
@Builder
@Data
public class OperateReqDTO {

    /**
     * 任务ID
     */
    private String taskId;
    /**
     * 实例ID
     */
    private String processInstanceId;

    /**
     * 审批操作
     */
    private ApproveWorkFlowOperationEnum approveWorkFlowOperationEnum;
    /**
     * 任务请求
     */
    private TaskRequest<ApproveTaskRequestVo> taskRequest;

    /**
     * 用户数据
     */
    private TaskRequestUserInfoDTO taskRequestUserInfoDTO;

    /**
     * 下一个人员指定
     */
    private List<ActivitiHolder> activitiHolderList;

    /**
     * 是否需要检查红名单
     */
    private Boolean needCheckRedList;

    /**
     * 访问资源编码,多个以,分割
     */
    private String visitResourceCode;

    /**
     * 访问资源名称,多个以,分割
     */
    private String visitResourceName;

    /**
     * 不同意访问资源编码,多个以,分割
     */
    private String disagreeVisitResourceCode;

    /**
     * 不同意访问资源名称,多个以,分割
     */
    private String disagreeVisitResourceName;
}
