package com.dragonsoft.dcuc.approve.model.dto;

import com.dragonsoft.duceap.base.entity.security.BaseSecurityUser;
import lombok.Data;

/**
 * <p>
 * 任务请求用户信息
 * </p>
 *
 * @author huangzqa
 * @date 2021/7/12
 */
@Data
public class TaskRequestUserInfoDTO {

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 机构代码
     */
    private String orgCode;

    /**
     * 机构名称
     */
    private String orgName;

    /**
     * 转换用户信息
     *
     * @param baseSecurityUser 基础用户
     * @return 任务请求用户信息
     */
    public static TaskRequestUserInfoDTO parseBaseSecurityUser(BaseSecurityUser baseSecurityUser) {
        TaskRequestUserInfoDTO taskRequestUserInfoDTO = new TaskRequestUserInfoDTO();

        String idCard = "";
        String userName = "";
        String orgCode = "";
        String orgName = "";

        if (baseSecurityUser != null) {
            idCard = baseSecurityUser.getIdcard();
            userName = baseSecurityUser.getName();
            orgCode = baseSecurityUser.getSecurityOrg();
            orgName = baseSecurityUser.getSecurityOrgName();
        }

        taskRequestUserInfoDTO.setIdCard(idCard);
        taskRequestUserInfoDTO.setUserName(userName);
        taskRequestUserInfoDTO.setOrgCode(orgCode);
        taskRequestUserInfoDTO.setOrgName(orgName);
        return taskRequestUserInfoDTO;
    }

}
