package com.dragonsoft.dcuc.approve.model.dto.zerotrust;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 用户令牌校验服务接口
 * </p>
 *
 * @author huangzqa
 * @date 2022/8/1
 */
@Data
public class UserTokenInfoDTO {

    /**
     * 用户令牌id
     */
    private String userTokenId;

    /**
     * 用户令牌创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 用户令牌到期时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date expireAt;

    /**
     * 用户标识
     */
    private String pid;

    /**
     * 组织机构编码
     */
    private String orgCode;

    /**
     * 终端 IP 地址
     */
    private String ip;

    /**
     * 终端设备标识
     */
    private String mid;

    /**
     * 终端环境类型
     */
    private String env;

    /**
     * 用户名称
     */
    private String name;

    /**
     * 令牌内容签名
     */
    private String sign;

}
