package com.dragonsoft.dcuc.approve.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * kafka配置
 */
@Data
@Component
@ConfigurationProperties(prefix = "approve.kafka")
public class KafkaProperties {

    private Boolean enable;
    /**
     * 授权服务申请主题
     */
    private String authServiceApplyTopic;
    /**
     * 消息中心提供
     */
    private String appKey;
    /**
     * 消息中心提供
     */
    private String appSecret;
    /**
     * kafka地址，包括上下文，发送消息地址
     */
    private String kafkaServers;

}
