package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.ApproveActHiTask;
import com.dragonsoft.dcuc.approve.model.resp.TaskVo;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @author wangrs
 * @date 2021/03/23
 */
public interface IApproveActHiTaskService {

    /**
     * 保存
     *
     * @param approveActHiTask 已办
     */
    void save(ApproveActHiTask approveActHiTask);

    /**
     * 更新
     *
     * @param approveActHiTask 已办
     */
    void update(ApproveActHiTask approveActHiTask);

    /**
     * 查询已办列表
     *
     * @param searchable 搜索条件
     * @return 列表
     */
    Page<ApproveActHiTask> page(Searchable searchable);

    /**
     * 根据审批号删除已办
     *
     * @param applyRecordId 审批号
     */
    void deleteByApplyRecordId(String applyRecordId);

    /**
     * 构建已办列表
     *
     * @param searchable 查询条件
     * @return 分页
     */
    Page<TaskVo> buildApproveActHiTask(Searchable searchable);

    /**
     * 删除旧已办西悉尼并保存已办列表
     *
     * @param approveId            审批单ID
     * @param approveActHiTaskList 已办列表
     */
    void deleteAndSaveList(String approveId, List<ApproveActHiTask> approveActHiTaskList);
}
