package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.OperateLog;
import com.dragonsoft.dcuc.approve.model.resp.OperateLogVo;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
public interface IOperateLogService {

    /**
     * 审批操作日志列表
     *
     * @param searchable 搜索条件
     * @return 分页
     */
    Page<OperateLogVo> queryOperateLogList(Searchable searchable);

    /**
     * 根据审批单ID获取操作技术
     *
     * @param approveRecordId 审批单ID
     * @return 操作记录
     */
    List<OperateLog> getListByApproveRecordId(String approveRecordId);

    /**
     * 审批操作日志详情
     *
     * @param id id
     * @return 状态
     */
    ResponseDTO<OperateLogVo> flowOperateLogDetail(String id);

    /**
     * 操作日志保存
     *
     * @param entity 操作日志
     */
    void saveOperateLog(OperateLog entity);
}
