package com.dragonsoft.dcuc.approve.service;

import com.dragonsoft.dcuc.approve.model.RiskLog;
import com.dragonsoft.dcuc.approve.model.resp.RiskLogVo;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
public interface IRiskLogService {

    /**
     * 风险日志列表
     *
     * @param searchable 搜索条件
     * @return 分页
     */
    Page<RiskLogVo> queryRequestLogList(Searchable searchable);

    /**
     * 风险日志详情
     *
     * @param id id
     * @return 状态
     */
    ResponseDTO<RiskLogVo> requestLogDetail(String id);

    /**
     * 查询风险方案数量
     *
     * @param schemeType 风险方案类型
     * @return 数量
     */
    Integer selectCountBySchemeType(String schemeType);

    /**
     * 保存风险日志
     *
     * @param riskLog 风险日志
     */
    void saveRiskLog(RiskLog riskLog);
}
