package com.dragonsoft.dcuc.approve.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dragoninfo.dcuc.common.utils.ResponseUtil;
import com.dragoninfo.dcuc.duceap.enums.OperateDisposeTypeEnum;
import com.dragonsoft.dcuc.approve.enumresources.ApproveResultEnum;
import com.dragonsoft.dcuc.approve.mapper.OperateLogMapper;
import com.dragonsoft.dcuc.approve.model.OperateLog;
import com.dragonsoft.dcuc.approve.model.resp.OperateLogVo;
import com.dragonsoft.dcuc.approve.service.IOperateLogService;
import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
import com.dragonsoft.duceap.commons.util.enums.EnumUtils;
import com.dragonsoft.duceap.core.entity.page.PageImpl;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 代码千万行,注释第一行,编码不规范,同事两行泪
 *
 * @author huang(jy)
 * @version 1.0
 * @date 2021/5/27 19:43
 */
@Service
public class OperateLogServiceImpl implements IOperateLogService {

    @Autowired
    private OperateLogMapper operateLogMapper;

    @Override
    public Page<OperateLogVo> queryOperateLogList(Searchable searchable) {
        searchable.addSort(Sort.Direction.DESC, "createTime");
        Page<OperateLog> logPage = operateLogMapper.pagingBySearchable(searchable);
        List<OperateLogVo> logVoList = new ArrayList<>();
        for (OperateLog log : logPage.getContent()) {
            OperateLogVo logVo = new OperateLogVo();
            BeanUtils.copyProperties(log, logVo);
            logVo.setResultStr(EnumUtils.enumOf(ApproveResultEnum.class, log.getResult()).getLabel());
            logVo.setDisposeTypeStr(EnumUtils.enumOf(OperateDisposeTypeEnum.class, log.getDisposeType()).getLabel());
            logVoList.add(logVo);
        }
        return new PageImpl<>(logVoList, logPage.getPageable(), logPage.getTotalElements());
    }

    @Override
    public List<OperateLog> getListByApproveRecordId(String approveRecordId) {
        LambdaQueryWrapper<OperateLog> lambdaQueryWrapper = Wrappers.lambdaQuery();
        lambdaQueryWrapper.eq(OperateLog::getApproveRecordId, approveRecordId);
        return operateLogMapper.selectList(lambdaQueryWrapper);
    }

    @Override
    public ResponseDTO<OperateLogVo> flowOperateLogDetail(String id) {
        OperateLog log = operateLogMapper.selectById(id);
        OperateLogVo logVo = new OperateLogVo();
        BeanUtil.copyProperties(log, logVo);
        logVo.setResultStr(EnumUtils.enumOf(ApproveResultEnum.class, log.getResult()).getLabel());
        logVo.setDisposeTypeStr(EnumUtils.enumOf(OperateDisposeTypeEnum.class, log.getDisposeType()).getLabel());
        return ResponseUtil.newInstance(logVo);
    }

    @Override
    public void saveOperateLog(OperateLog entity) {
        operateLogMapper.insert(entity);
    }
}
