CREATE TABLE `t_approval_info` (
  `ID` varchar(32) NOT NULL COMMENT 'id',
  `PROCESS_TITLE` varchar(200) DEFAULT NULL COMMENT '流程标题',
  `PROCESS_TYPE` varchar(32) DEFAULT NULL COMMENT '流程类型编码',
  `PROCESS_TYPE_NAME` varchar(255) DEFAULT NULL COMMENT '流程类型名称',
  `BUSINESS_CODE` varchar(50) DEFAULT NULL COMMENT '流程业务代码',
  `PROCESS_NAME` varchar(100) DEFAULT NULL COMMENT '流程名称',
  `APPLY_REASON` varchar(500) DEFAULT NULL COMMENT '申请理由',
  `APPLY_CONTENT` varchar(500) DEFAULT NULL COMMENT '申请内容',
  `APPLICANT_IDCARD` varchar(18) DEFAULT NULL COMMENT '申请人身份证号',
  `APPLICANT_NAME` varchar(120) DEFAULT NULL COMMENT '申请人姓名',
  `APPLICANT_ORG_CODE` varchar(32) DEFAULT NULL COMMENT '申请人单位编码',
  `APPLICANT_ORG_NAME` varchar(100) DEFAULT NULL COMMENT '申请人单位名称',
  `APPLICANT_PHONE_NO` varchar(20) DEFAULT NULL COMMENT '申请人电话号码',
  `PROCESS_INSTANCE_ID` varchar(32) DEFAULT NULL COMMENT '流程实例ID',
  `APPROVE_TASK_IDENTIFIER` varchar(64) DEFAULT NULL COMMENT '节点标识码',
  `TASK_ID` varchar(64) DEFAULT NULL COMMENT '任务ID',
  `TASK_NAME` varchar(300) DEFAULT NULL COMMENT '任务名称',
  `PERMISSION_VALID_TYPE` varchar(2) DEFAULT NULL COMMENT '权限有效类型',
  `START_TIME` timestamp NULL DEFAULT NULL COMMENT '权限有效开始时间',
  `END_TIME` timestamp NULL DEFAULT NULL COMMENT '权限有效结束时间',
  `IS_DELETED` varchar(32) DEFAULT NULL COMMENT '是否删除',
  `MESSAGE_ID` char(32) DEFAULT NULL COMMENT '消息ID',
  `CREATE_USER` varchar(32) DEFAULT NULL COMMENT '创建人',
  `CREATE_TIME` timestamp NULL DEFAULT NULL COMMENT '创建时间',
  `UPDATE_USER` varchar(32) DEFAULT NULL COMMENT '更新人',
  `UPDATE_TIME` timestamp NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='申请信息表';

CREATE TABLE `t_approval_resource_info` (
  `ID` varchar(32) NOT NULL COMMENT 'id',
  `APPROVAL_ID` varchar(32) DEFAULT NULL COMMENT '申请ID',
  `VISITOR_CODE` varchar(50) DEFAULT NULL COMMENT '访问者编码',
  `VISITOR_NAME` varchar(500) DEFAULT NULL COMMENT '访问者名称',
  `VISIT_RESOURCE_CODE` varchar(1000) DEFAULT NULL COMMENT '访问资源编码',
  `VISIT_RESOURCE_NAME` varchar(1000) DEFAULT NULL COMMENT '访问资源名称',
  `VISIT_INFO` blob COMMENT '访问内容',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='申请资源信息表';