DROP TABLE IF EXISTS T_APPROVE_ORG_INFO;
CREATE TABLE T_APPROVE_ORG_INFO
(
    id                 VARCHAR(32) NOT NULL COMMENT 'id',
    org_code           VARCHAR(32) NOT NULL COMMENT '机构代码',
    org_name           VARCHAR(90) NOT NULL COMMENT '机构名称',
    up_org_id          VARCHAR(32) COMMENT '上级机构ID',
    up_org_code        VARCHAR(90) COMMENT '上级机构代码',
    org_kind           VARCHAR(32) COMMENT '机构类型',
    area_code          VARCHAR(32) COMMENT '行政区划',
    remote_update_time DATETIME COMMENT '远程更新时间',
    deleted            VARCHAR(1)  NOT NULL COMMENT '是否删除',
    create_time        DATETIME    NOT NULL COMMENT '创建时间',
    update_time        DATETIME    NOT NULL COMMENT '修改时间',
    PRIMARY KEY (id)
) COMMENT = '机构表';
DROP TABLE IF EXISTS T_APPROVE_USER_INFO;
CREATE TABLE T_APPROVE_USER_INFO
(
    id                 VARCHAR(32) NOT NULL COMMENT 'id',
    idcard             VARCHAR(32) NOT NULL COMMENT '身份证号',
    user_name          VARCHAR(90) NOT NULL COMMENT '姓名',
    police_rank        VARCHAR(32) COMMENT '警衔',
    police_number      VARCHAR(32) COMMENT '警号',
    police_category    VARCHAR(32) COMMENT '警种',
    nation             VARCHAR(32) COMMENT '民族',
    mobile_work        VARCHAR(32) COMMENT '手机号',
    org_code           VARCHAR(90) COMMENT '机构代码',
    post_type          VARCHAR(32) COMMENT '职务信息',
    job_type           VARCHAR(32) COMMENT '在职类型',
    remote_update_time DATETIME COMMENT '远程更新时间',
    deleted            VARCHAR(1)  NOT NULL COMMENT '是否删除',
    create_time        DATETIME    NOT NULL COMMENT '创建时间',
    update_time        DATETIME    NOT NULL COMMENT '修改时间',
    PRIMARY KEY (id)
) COMMENT = '机构表';
