DROP TABLE IF EXISTS T_APPROVE_SECURITY_WARNING_INFO;
CREATE TABLE T_APPROVE_SECURITY_WARNING_INFO
(
    id                    VARCHAR(32)   NOT NULL COMMENT 'id',
    threat_classif        VARCHAR(90) COMMENT '威胁类型1',
    extend_threat_classif VARCHAR(90) COMMENT '威胁类型2',
    threat_name           VARCHAR(1024) NOT NULL COMMENT '威胁名称',
    threat_desc           TEXT          NOT NULL COMMENT '威胁描述',
    threat_level          VARCHAR(32) COMMENT '威胁等级',
    threat_score          VARCHAR(32) COMMENT '威胁评分',
    threat_stage          VARCHAR(32) COMMENT '威胁阶段',
    source                VARCHAR(32) COMMENT '来源',
    src_addr              VARCHAR(90) COMMENT '源地址',
    dst_addr              VARCHAR(90) COMMENT '目的地址',
    risk_create_time      DATETIME COMMENT '风险创建时间',
    create_time           DATETIME      NOT NULL COMMENT '创建时间',
    PRIMARY KEY (id)
) COMMENT = '安全策略预警信息';

DROP TABLE IF EXISTS T_APPROVE_SECURITY_WARNING_USER;
CREATE TABLE T_APPROVE_SECURITY_WARNING_USER(
                                                id VARCHAR(32) NOT NULL   COMMENT 'id' ,
                                                warning_id VARCHAR(32) NOT NULL   COMMENT '预警ID' ,
                                                user VARCHAR(32) NOT NULL   COMMENT '用户' ,
                                                risk_create_time DATETIME NOT NULL   COMMENT '风险创建时间' ,
                                                create_time DATETIME NOT NULL   COMMENT '创建时间' ,
                                                PRIMARY KEY (id)
)  COMMENT = '安全策略预警信息用户关联';
