DROP TABLE IF EXISTS t_aj_info;
CREATE TABLE t_aj_info
(
    `FHXTSJWYBSID` VARCHAR(32) NOT NULL COMMENT '标识ID',
    `SJCJLYXT`     VARCHAR(255) COMMENT '来源系统',
    `AJMC`         VARCHAR(255) COMMENT '案件名称',
    `AJBH`         VARCHAR(90) NOT NULL COMMENT '案件编号',
    `SLDW_XXDM02`  VARCHAR(90) COMMENT '受理单位_信息代码',
    `XXSC_PDBZ`    VARCHAR(1)  NOT NULL COMMENT '是否删除',
    `CJSJ`         DATETIME COMMENT '采集时间',
    `GXSJ`         DATETIME COMMENT '更新时间',
    `CREATE_TIME`  DATETIME    NOT NULL COMMENT '同步表创建时间',
    `UPDATE_TIME`  DATETIME COMMENT '同步表更新时间',
    PRIMARY KEY (FHXTSJWYBSID)
) COMMENT = '案件信息';

CREATE INDEX IDX_AJBH ON t_aj_info (AJBH, XXSC_PDBZ);

DROP TABLE IF EXISTS t_jq_info;
CREATE TABLE t_jq_info
(
    `FHXTSJWYBSID`   VARCHAR(32) NOT NULL COMMENT '标识ID',
    `JIJD_XXBH`      VARCHAR(90) NOT NULL COMMENT '接警单_信息编号',
    `JJDW_GAJGJGDM`  VARCHAR(255) COMMENT '接警单位_公安机关机构代码',
    `SLD_XXBH`       VARCHAR(255) COMMENT '受理单_信息编号',
    `JJN_ZTA_XXDM02` VARCHAR(255) COMMENT '接警_状态_信息代码',
    `XXSC_PDBZ`      VARCHAR(1)  NOT NULL COMMENT '是否删除',
    `CJSJ`           DATETIME COMMENT '采集时间',
    `GXSJ`           DATETIME COMMENT '更新时间',
    `CREATE_TIME`    DATETIME    NOT NULL COMMENT '同步表创建时间',
    `UPDATE_TIME`    DATETIME COMMENT '同步表更新时间',
    PRIMARY KEY (FHXTSJWYBSID)
) COMMENT = '警情信息';


CREATE INDEX IDX_JJDBH ON t_jq_info (JIJD_XXBH, XXSC_PDBZ);
